### Function: RemoveWidgetFromSpawnMap(spawn, widget_id)

**Description:**
Removes the widget from the map (line of sight and heightmap checks). 

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `widget_id` (uint32) - Integer value `widget_id`.

**Returns:** None.

**Example:**

Example Required
